Subject: RE: bug#23935: 25.1.50; simple reproducible crash for emacs -Q: `M-: (+ 1997 120 400)'

From: Drew Adams <[email-masked]>
Date: Wed, 13 Jul 2016 09:55:49 -0700 (PDT)

>   https://www.python.org/download/releases/2.6.6/

That says:

"Python 2.6.6 has been replaced by a newer security-fix only source release of Python. Please download Python 2.6.8 instead."

This is my work computer, so I'm reluctant to pick up something
that needed a security fix.  How about using 2.6.8?

-----------------------

This also rang a bell, so I searched old bug reports.  I sent
you a message on 2010/Dec/09, where I said this:

----

> > > It's enough to type "gdb RET" at the cmd prompt.  But to 
> > > attach to a running Emacs process, it is more convenient
> > > to type "gdb -p PID RET",
> > > where PID is the Emacs process ID, a number.

Hi Eli,

I tried that just now, when I got a crash dialog box. I cd'd to the dir where I have the files you sent me, then did `gdb -p 5692' (the PID).

I got a Windows error box, with title `gdb.exe - Unable to Locate Component' and with text "This application has failed to start because libexpat-1.dll was not found. Re-installing the application may fix this problem. [OK]"

In the directory where I put the files you sent (which is in my PATH), I have these files (that you sent):

.gdbinit
gdb-python27.exe
gdb.exe
gdbserver.exe

----

It seems I didn't get a reply from you.  But I do find the file
gdb-python27.exe in the other GDB directory, for version 7.2.